Subject: Re: linux-next: build failure after merge of the mhi tree

From: Manivannan Sadhasivam <[email-masked]>
Date: Mon, 9 Aug 2021 15:25:27 +0530

Hi Stephen,

On Mon, Aug 09, 2021 at 07:38:37PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the mhi tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> drivers/bus/mhi/pci_generic.c:406:40: error: redefinition of 'mhi_mv31_channels'
>   406 | static const struct mhi_channel_config mhi_mv31_channels[] = {
>       |                                        ^~~~~~~~~~~~~~~~~
> drivers/bus/mhi/pci_generic.c:372:40: note: previous definition of 'mhi_mv31_channels' was here
>   372 | static const struct mhi_channel_config mhi_mv31_channels[] = {
>       |                                        ^~~~~~~~~~~~~~~~~
> drivers/bus/mhi/pci_generic.c:417:32: error: redefinition of 'mhi_mv31_events'
>   417 | static struct mhi_event_config mhi_mv31_events[] = {
>       |                                ^~~~~~~~~~~~~~~
> drivers/bus/mhi/pci_generic.c:383:32: note: previous definition of 'mhi_mv31_events' was here
>   383 | static struct mhi_event_config mhi_mv31_events[] = {
>       |                                ^~~~~~~~~~~~~~~
> drivers/bus/mhi/pci_generic.c:424:43: error: redefinition of 'modem_mv31_config'
>   424 | static const struct mhi_controller_config modem_mv31_config = {
>       |                                           ^~~~~~~~~~~~~~~~~
> drivers/bus/mhi/pci_generic.c:390:43: note: previous definition of 'modem_mv31_config' was here
>   390 | static const struct mhi_controller_config modem_mv31_config = {
>       |                                           ^~~~~~~~~~~~~~~~~
> drivers/bus/mhi/pci_generic.c:433:38: error: redefinition of 'mhi_mv31_info'
>   433 | static const struct mhi_pci_dev_info mhi_mv31_info = {
>       |                                      ^~~~~~~~~~~~~
> drivers/bus/mhi/pci_generic.c:399:38: note: previous definition of 'mhi_mv31_info' was here
>   399 | static const struct mhi_pci_dev_info mhi_mv31_info = {
>       |                                      ^~~~~~~~~~~~~
> 
> Caused by an newer version (but almost identical) of all the mhi tree
> commits are also now in the char-misc tree (almos identical patches,
> but different commits.
> 

That's due to sending the patches as a series to Greg instead of pull
request.

> I have dropped the mhi tree for today (please clean it up).
> 

Done!

Thanks,
Mani

> -- 
> Cheers,
> Stephen Rothwell